/queue/admin/enqueue

The function enqueueJob enqueues a job in a specified queue using the provided request, queue
name, request body, and API key.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
enum
required
  • The queueName parameter is a string that represents the name of the queue
    where the job will be enqueued. It is a key of the QueueObjects object, which is an object
    that contains different queues. The keyof keyword is used to ensure that the `queueName
Body Params
  • The body parameter is of type QueueTaskRequest<keyof QueueObjects>. It represents the request body of the API call and contains two properties: data and options.
string
options
object

From T, pick a set of properties whose keys are in the union K

string
Headers
string
  • The x-api-key parameter is a header parameter that is used for
    authentication. It is typically used to pass an API key or token in the request header for
    authentication purposes. In this code snippet, it is being passed as a header parameter and its
    value is being assigned to the `x_api
Responses

401

Unathorized

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json